Skip to main content
GET
/
templates
List deployment templates
curl --request GET \
  --url https://api.blaxel.ai/v0/templates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blaxel.ai/v0/templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blaxel.ai/v0/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "defaultBranch": "main",
    "description": "A starter template for building LangChain agents",
    "downloadCount": 1200,
    "forksCount": 45,
    "icon": "<string>",
    "iconDark": "<string>",
    "name": "langchain-agent",
    "sha": "<string>",
    "starCount": 150,
    "topics": [
      "<string>"
    ],
    "url": "https://github.com/blaxel-ai/template-langchain-agent",
    "variables": [
      {
        "description": "OpenAI API key for the agent",
        "integration": "openai",
        "name": "OPENAI_API_KEY",
        "path": ".env",
        "secret": true
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Response

200 - application/json

successful operation

defaultBranch
string

Default branch of the template

Example:

"main"

description
string

Description of the template

Example:

"A starter template for building LangChain agents"

downloadCount
integer

Number of downloads/clones of the repository

Example:

1200

forksCount
integer

Number of forks the repository has

Example:

45

icon
string

URL to the template's icon

iconDark
string

URL to the template's icon in dark mode

name
string

Name of the template

Example:

"langchain-agent"

sha
string

SHA of the variable

starCount
integer

Number of stars the repository has

Example:

150

topics
string[]

Topic of the template

url
string

URL of the template

Example:

"https://github.com/blaxel-ai/template-langchain-agent"

variables
object[]

Variables of the template

Last modified on July 1, 2026